using ApiTerceiroSimulador.Models;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using System.Reflection;

namespace ApiTerceiroSimulador.Controllers
{
    [AllowAnonymous]
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            ViewBag.Moment = DateTime.Now;

            Assembly? assembly = Assembly.GetEntryAssembly();
            AssemblyFileVersionAttribute? versionAttribute = assembly?.GetCustomAttribute<AssemblyFileVersionAttribute>();
            string? assemblyVersion = versionAttribute?.Version;

            ViewBag.Version = assemblyVersion;
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
